> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get asset group account clones for organization

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/assetGroups/accountClones

Retrieves all the cloned accounts for an organization.

To call this endpoint:

- You must be an administrator for the specified organization.

[Required scopes](/docs/admin-api/admin101/auth/): `asset_group_account_clone_read`.

Reference: https://developers.docusign.com/docs/admin-api/reference/accountprovisioning/accountcloning/getassetgroupaccountclonesbyorgid

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization's GUID.

### Query parameters

- `since_updated_date` (datetime, optional) — Use this parameter to retrieve only account clones that were created on or after a specified date.
- `include_details` (boolean, optional) — When **true,** include additional details for the asset group account clones. The default value is **false.**

## Response

### 200

OK

- `assetGroupWorks` (list of AssetGroupAccountClone, optional) — The list of asset group accounts.

## Types

### AssetGroupAccountClone

The account that is cloned.

- `assetGroupId` (string, optional) — The ID of the asset group to which the account belongs. Use this value to retrieve information about the clone request with the [getAssetGroupAccountClone](/docs/admin-api/reference/accountprovisioning/accountcloning/getassetgroupaccountclone/) endpoint. This property is read-only.
- `assetGroupWorkId` (string, optional) — The ID of the job that is created by the request. Use this value to retrieve information about the clone request with the [getAssetGroupAccountClone](/docs/admin-api/reference/accountprovisioning/accountcloning/getassetgroupaccountclone/) endpoint. This property is read-only.
- `assetGroupWorkType` (enum, optional) — The type of asset group work. This property is read-only.
  - Allowed values: `Undefined`, `GroupAssetFulfillment`, `AccountAssetFulfillment`, `AccountAssetClone`, `AccountAssetCreate`, `SubscriptionSync`
- `attempts` (integer, optional) — The number of retries. This property is read-only.
- `cloneProcessingFailureDetails` (SubAccountErrorDetails, optional)
- `cloneRequestId` (string, optional) — Reserved for Docusign.
- `createdByEmail` (string, optional) — The email address of the user who initiated the clone request. This property is read-only.
- `createdByName` (string, optional) — The name of the user who initiated the clone request. This property is read-only.
- `createdDate` (datetime, optional) — The date that the clone request was initiated. This property is read-only.
- `message` (string, optional) — A message providing information about the clone request. If the request resulted in an error, this message includes specific information about the error. This property is read-only.
- `orderId` (string, optional) — Reserved for Docusign.
- `sourceAccount` (AssetGroupAccountCloneSourceAccount, optional)
- `status` (enum, optional) — The status of the clone request. Valid values: - `Pending` - `Processing` - `PendingError` - `ProcessingError` - `Completed` - `Canceled` - `PermanentFailure` This property is read-only.
  - Allowed values: `Undefined`, `Pending`, `Processing`, `ProcessingOnHold`, `PendingError`, `ProcessingError`, `Completed`, `Canceled`, `PermanentFailure`
- `targetAccount` (AssetGroupAccountCloneTargetAccount, optional) — An object describing the target cloned account.

### SubAccountErrorDetails

- `error` (string, optional) — The error code.
- `errorDescription` (string, optional) — The error description.
- `isSystemError` (boolean, optional) — Whether the error is caused by the system or user.

### AssetGroupAccountCloneSourceAccount

- `externalAccountId` (long, optional) — The external account ID of the source account.
- `id` (string, optional) — The ID of the account to clone. This property is required in POST requests.
- `name` (string, optional) — The name of the source account.
- `site` (string, optional) — The site the source account is on.

### AssetGroupAccountCloneTargetAccount

An object describing the target cloned account.

- `admin` (AssetGroupAccountCloneTargetAccountAdmin, optional) — An object describing the administrator of the cloned account.
- `countryCode` (string, optional) — The two-letter [ISO 3166](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) country code of the target account. **Note:** When cloning an account, you must include this property or `region`. If both are provided, `region` will be used.
- `id` (string, optional) — The ID of the target account. This property is read-only.
- `name` (string, optional) — The name of the target account. This property is required in the request body when cloning an account.
- `region` (string, optional) — The region of the target account. When testing in the developer environment, the region will always be `NA`. **Note:** When cloning an account, you must include this property or `countryCode` in the request. If both are provided, `region` will be used.
- `site` (string, optional) — The data center site of the account. This property is read-only.

### AssetGroupAccountCloneTargetAccountAdmin

An object describing the administrator of the cloned account.

- `email` (string, optional) — The email address of the target account administrator. This property is required in the request body when cloning an account.
- `firstName` (string, optional) — The first name of the target account administrator. This property is required in the request body when cloning an account.
- `lastName` (string, optional) — The last name of the target account administrator. This property is required in the request body when cloning an account.
- `locale` (enum, optional) — The locale of the target account administrator. The locale code for the United States is `en`.
  - Allowed values: `None`, `zh_cn`, `zh_tw`, `nl`, `en`, `fr`, `de`, `it`, `ja`, `ko`, `pt`, `pt_br`, `ru`, `es`, `pl`

## Examples

**Response**

```json
{
  "assetGroupWorks": [
    {
      "assetGroupId": "string",
      "assetGroupWorkId": "string",
      "assetGroupWorkType": "Undefined",
      "attempts": 1,
      "cloneProcessingFailureDetails": {
        "error": "string",
        "errorDescription": "string",
        "isSystemError": true
      },
      "cloneRequestId": "string",
      "createdByEmail": "string",
      "createdByName": "string",
      "createdDate": "2024-01-15T09:30:00Z",
      "message": "string",
      "orderId": "string",
      "sourceAccount": {
        "externalAccountId": 1,
        "id": "string",
        "name": "string",
        "site": "string"
      },
      "status": "Undefined",
      "targetAccount": {
        "admin": {
          "email": "string",
          "firstName": "string",
          "lastName": "string",
          "locale": "None"
        },
        "countryCode": "string",
        "id": "string",
        "name": "string",
        "region": "string",
        "site": "string"
      }
    }
  ]
}
```